DL_ES< KEYS, AA, DA, EA, ALG_INFO > Class Template Reference

Discrete Log Based Encryption Scheme. More...

`#include <pubkey.h>`

Inheritance diagram for DL_ES< KEYS, AA, DA, EA, ALG_INFO >:

## Public Types

typedef PK_FinalTemplate < DL_DecryptorImpl < SchemeOptions > > | Decryptor
| implements PK_Decryptor interface
typedef PK_FinalTemplate < DL_EncryptorImpl < SchemeOptions > > | Encryptor
| implements PK_Encryptor interface

## Detailed Description

### template<class KEYS, class AA, class DA, class EA, class ALG_INFO>
class DL_ES< KEYS, AA, DA, EA, ALG_INFO >

Discrete Log Based Encryption Scheme.

Definition at line 1665 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h